#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0x59c99491, "__register_chrdev" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0xe78bfacd, "crc32_le" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x7c32d0f0, "printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "66D48D3D0384AB1B6CB93B8");
